Subject: [[email-masked]: ]

From: [email-masked] (Mi Mi)
Date: Wed, 13 Jul 94 16:44:55 CDT

Date: Wed, 13 Jul 1994 15:43:59 -0400
>From: Qing Ye <[email-masked]>
X-Mailer: Mail User's Shell (7.2.3 5/22/91)
To: [email-masked]

Hi, friend

I would like to post the following message on the LAD net.  Could
you help me to do that?  I tried to send it to LADS-L, but it
didn't work.  Thanks much in advance!

Wendy
----------------------------------------------
Hi, friends, I need your input and help!

I am a LAD and a graduate student.  I came to US as a F-1 and never
lost my status.  Last year my husband become PR under CSPA and I
applied for permanent residency in August.  When I turned in
my application materials to a INS official, she took my I-94 card from
my passport.  I haven't heard anything from INS yet.

Now I plan to go to Canada next week to present my research data in a
meeting.  My advisor has bought the airline ticket and reserved the
hotel for me.  I called the Canadian Embassy at DC to ask information
about getting visiting visa as a student.  Apparently, to get a visa
to Canada, I need to have a valid original I-94 form, or, they said
that I have to wait until I finish my PR process to visit Canada.

I went to the INS to apply an Advanced Parole two weeks ago but
haven't received it.  The meeting in Canada is in 10 days and I have
to finish all the paper work and get my visa before that!  My
questions are:

1. While pending for PR, what kind of status I am right now?  The
INS official said to me,"You are a F-1 student, why don't you go to
Canada as a student?"  I said, "But they need a I-94 form!"

2. Has anybody go abroad after submitting the PR application but
before the interview?  How do you get a entering visa?  I even don't
have a A number, should I think myself a PR-to-be when going abroad?

** 3. What should I do now to enter Canada for the meeting?  If I get
the Advanced Parole in time, do I need a visa for Canada?  I mean, does
PR need a visa to go abroad?

Any comment is greatly appreciated.  Thanks a lot for your help and
information.  My e-mail address is [email-masked] or
[email-masked] and telephone number is 804-295-3811.

Wei Liu